gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.ModelView.CellRendererPixbuf

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Attributes

Description

Renders a pixbuf in a cell

Synopsis

- data CellRendererPixbuf
- class CellRendererClass o => CellRendererPixbufClass o
- castToCellRendererPixbuf :: GObjectClass obj => obj -> CellRendererPixbuf
- gTypeCellRendererPixbuf :: GType
- toCellRendererPixbuf :: CellRendererPixbufClass o => o -> CellRendererPixbuf
- cellRendererPixbufNew :: IO CellRendererPixbuf
- cellPixbuf :: CellRendererPixbufClass self => Attr self Pixbuf
- cellPixbufExpanderOpen :: CellRendererPixbufClass self => Attr self Pixbuf
- cellPixbufExpanderClosed :: CellRendererPixbufClass self => Attr self Pixbuf
- cellPixbufStockId :: (CellRendererPixbufClass self, GlibString string) => Attr self string
- cellPixbufStockSize :: CellRendererPixbufClass self => Attr self Int
- cellPixbufStockDetail :: (CellRendererPixbufClass self, GlibString string) => Attr self string
- cellPixbufIconName :: (CellRendererPixbufClass self, GlibString string) => Attr self string
- cellPixbufFollowState :: CellRendererPixbufClass self => Attr self Bool

# Detail

A `CellRendererPixbuf` can be used to render an image in a cell. It allows to render either a given `Pixbuf` (set via the `cellPixbuf` property) or a stock icon (set via the `cellPixbufStockId` property).

To support the tree view, `CellRendererPixbuf` also supports rendering two alternative pixbufs, when the `cellIsExpander` property is `True`. If the this property is `True` and the `cellPixbufExpanderOpen` property is set to a pixbuf, it renders that pixbuf, if the `cellIsExpanded` property is `False` and the `cellPixbufExpanderClosed` property is set to a pixbuf, it renders that one.

# Class Hierarchy

    | GObject
    | +----Object
    | +----CellRenderer
    | +----CellRendererPixbuf

# Types

data CellRendererPixbuf Source #

#### Instances

Instances details

Eq CellRendererPixbuf Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: CellRendererPixbuf -> CellRendererPixbuf -> Bool Source # (/=) :: CellRendererPixbuf -> CellRendererPixbuf -> Bool Source #
Ord CellRendererPixbuf Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: CellRendererPixbuf -> CellRendererPixbuf -> Ordering Source #

(<) :: CellRendererPixbuf -> CellRendererPixbuf -> Bool Source #

(<=) :: CellRendererPixbuf -> CellRendererPixbuf -> Bool Source #

(>) :: CellRendererPixbuf -> CellRendererPixbuf -> Bool Source #

(>=) :: CellRendererPixbuf -> CellRendererPixbuf -> Bool Source #

max :: CellRendererPixbuf -> CellRendererPixbuf -> CellRendererPixbuf Source #

min :: CellRendererPixbuf -> CellRendererPixbuf -> CellRendererPixbuf Source #

GObjectClass CellRendererPixbuf Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: CellRendererPixbuf -> GObject Source # unsafeCastGObject :: GObject -> CellRendererPixbuf Source #
CellRendererClass CellRendererPixbuf Source # |
Instance details Defined in Graphics.UI.Gtk.Types
CellRendererPixbufClass CellRendererPixbuf Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class CellRendererClass o => CellRendererPixbufClass o Source #

#### Instances

Instances details

CellRendererPixbufClass CellRendererPixbuf Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToCellRendererPixbuf :: GObjectClass obj => obj -> CellRendererPixbuf Source #

gTypeCellRendererPixbuf :: GType Source #

toCellRendererPixbuf :: CellRendererPixbufClass o => o -> CellRendererPixbuf Source #

# Constructors

cellRendererPixbufNew :: IO CellRendererPixbuf Source #

Create a new CellRendererPixbuf object.

# Attributes

cellPixbuf :: CellRendererPixbufClass self => Attr self Pixbuf Source #

The pixbuf to render.

cellPixbufExpanderOpen :: CellRendererPixbufClass self => Attr self Pixbuf Source #

Pixbuf for open expander.

cellPixbufExpanderClosed :: CellRendererPixbufClass self => Attr self Pixbuf Source #

Pixbuf for closed expander.

cellPixbufStockId :: (CellRendererPixbufClass self, GlibString string) => Attr self string Source #

The stock ID of the stock icon to render.

Default value: `""`

cellPixbufStockSize :: CellRendererPixbufClass self => Attr self Int Source #

The `IconSize` value that specifies the size of the rendered icon.

Default value: 1

cellPixbufStockDetail :: (CellRendererPixbufClass self, GlibString string) => Attr self string Source #

Render detail to pass to the theme engine.

Default value: `""`

cellPixbufIconName :: (CellRendererPixbufClass self, GlibString string) => Attr self string Source #

The name of the themed icon to display. This property only has an effect if not overridden by `cellPixbufStockId` or `cellPixbuf` attributes.

Default value: `""`

cellPixbufFollowState :: CellRendererPixbufClass self => Attr self Bool Source #

Specifies whether the rendered pixbuf should be colorized according to the `CellRendererState`.

Default value: `False`